Bug 18204 - Authority searches are not saved in Search history
Summary: Authority searches are not saved in Search history
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: PC Windows
: P5 - low major (vote)
Assignee: leire
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 2735
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-03 12:40 UTC by leire
Modified: 2017-07-31 11:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18204 (603 bytes, patch)
2017-03-03 12:46 UTC, leire
Details | Diff | Splinter Review
Bug 18204 - Authority searches are not saved in Search history (1.16 KB, patch)
2017-05-11 15:17 UTC, leire
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18204 - Authority searches are not saved in Search history (1.23 KB, patch)
2017-05-12 05:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18204 - Authority searches are not saved in Search history (1.29 KB, patch)
2017-05-12 12:24 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description leire 2017-03-03 12:40:45 UTC
When you search an authority in Authority search, this search is not saved in Search history. 

EnableOpacSearchHistory is enabled

Steps to test:
 1- Login your account (opac)
 2- Search an authority in Authority search
 3- Go to Search history -> Authority
 4- It says "Your authority search history is empty"

Tested on 16.11.04
Comment 1 leire 2017-03-03 12:46:14 UTC
Created attachment 60809 [details] [review]
Bug 18204
Comment 2 Marc Véron 2017-03-15 16:52:23 UTC
Problem recreated.

However, I can not apply the patch:

git bz apply 18204

Result:
Traceback (most recent call last):
  File "/usr/local/bin/git-bz", line 2630, in <module>
    do_apply(*args)
  File "/usr/local/bin/git-bz", line 1755, in do_apply
    users = bug.server.get_xmlrpc_proxy().User.get({ 'names': [patch.attacher] })['users']
  File "/usr/lib/python2.7/xmlrpclib.py", line 1233, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.7/xmlrpclib.py", line 1591, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.7/xmlrpclib.py", line 1273, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib/python2.7/xmlrpclib.py", line 1321, in single_request
    response.msg,
xmlrpclib.ProtocolError: <ProtocolError for bugs.koha-community.org/xmlrpc.cgi: 404 Not Found>
Comment 3 leire 2017-05-11 15:17:10 UTC
Created attachment 63387 [details] [review]
Bug 18204 - Authority searches are not saved in Search history

When you search an authority in Authority search, this search is not saved in Search history.

EnableOpacSearchHistory is enabled

Steps to test:
 1- Login your account (opac)
 2- Search an authority in Authority search
 3- Go to Search history -> Authority
 4- It says "Your authority search history is empty"
Comment 4 Katrin Fischer 2017-05-12 05:53:43 UTC
Created attachment 63398 [details] [review]
[SIGNED OFF] Bug 18204 - Authority searches are not saved in Search history

When you search an authority in Authority search, this search is not saved in Search history.

EnableOpacSearchHistory is enabled

Steps to test:
 1- Login your account (opac)
 2- Search an authority in Authority search
 3- Go to Search history -> Authority
 4- It says "Your authority search history is empty"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2017-05-12 05:54:50 UTC
Hi, thx for the patch! Is this a first? I have noticed the author line reads:
From: LeireDiez <leire@scanbit.net>
Is this how you want it? The names will show up on the dashboard and in the release notes :)
Comment 6 leire 2017-05-12 08:15:49 UTC
Hi,
Yes, it's my first patch! But my plan is to upload fixes that I will solve.
My name is Leire Díez, I've seen that it usually shows up the person's name and last name, so I think that's fine.
Thanks you!
Comment 7 Julian Maurice 2017-05-12 12:24:02 UTC
Created attachment 63424 [details] [review]
Bug 18204 - Authority searches are not saved in Search history

When you search an authority in Authority search, this search is not saved in Search history.

EnableOpacSearchHistory is enabled

Steps to test:
 1- Login your account (opac)
 2- Search an authority in Authority search
 3- Go to Search history -> Authority
 4- It says "Your authority search history is empty"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 8 Jonathan Druart 2017-05-24 15:14:39 UTC
This certainly comes from bug 2735
Comment 9 Kyle M Hall 2017-05-29 02:12:32 UTC
Pushed to master for 17.05, thanks Leire!
Comment 10 Katrin Fischer 2017-06-05 12:33:24 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 11 Mason James 2017-07-31 11:04:43 UTC
Pushed to 16.05.x, for 16.05.15 release